"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {};
  },
  methods: {
    goBack() {
      common_vendor.index.navigateBack();
    },
    openUrl(url) {
      common_vendor.index.setClipboardData({
        data: url,
        success: () => {
          common_vendor.index.showToast({ title: "链接已复制", icon: "none" });
        }
      });
    },
    checkUpdate() {
      common_vendor.index.showToast({ title: "已是最新版本", icon: "none" });
    },
    fuwuxieyi() {
      common_vendor.index.navigateTo({ url: "/pages/protocol/service" });
    },
    yinsizhengce() {
      common_vendor.index.navigateTo({ url: "/pages/protocol/privacy" });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_assets._imports_0,
    b: common_vendor.o((...args) => $options.goBack && $options.goBack(...args)),
    c: common_assets._imports_1,
    d: common_vendor.o(($event) => $options.openUrl("https://xiaoek-tech.com")),
    e: common_vendor.o((...args) => $options.checkUpdate && $options.checkUpdate(...args)),
    f: common_vendor.o((...args) => $options.fuwuxieyi && $options.fuwuxieyi(...args)),
    g: common_vendor.o((...args) => $options.yinsizhengce && $options.yinsizhengce(...args))
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
//# sourceMappingURL=../../../.sourcemap/mp-weixin/pages/knowXetong/knowXetong.js.map
