"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      // 头像地址，需替换为真实路径
      avatarUrl: "/static/my/photo.png",
      phone: "19931034261",
      // 各图标地址，需替换为真实路径
      calendarIcon: "/static/my/rili.png",
      downloadIcon: "/static/my/wdxz.png",
      wrongBookIcon: "/static/my/ctb.png",
      superMemberIcon: "/static/my/svip.png",
      subscribeStoreIcon: "/static/my/shop.png",
      storeBackendIcon: "/static/my/gys.png",
      recycleBinIcon: "/static/my/hsz.png",
      notificationIcon: "/static/my/tz.png",
      feedbackIcon: "/static/my/yj.png",
      customerServiceIcon: "/static/my/kf.png",
      knowXetongIcon: "/static/logo.png",
      settingsIcon: "/static/my/sz.png",
      arrowIcon: "/static/my/o.png"
    };
  },
  methods: {
    goToCalendar() {
      common_vendor.index.navigateTo({ url: "/pages/calendar" });
    },
    goToDownload() {
      common_vendor.index.navigateTo({ url: "/pages/download" });
    },
    goToWrongBook() {
      common_vendor.index.navigateTo({ url: "/pages/wrongBook" });
    },
    goToSuperMember() {
      common_vendor.index.navigateTo({ url: "/pages/superMember" });
    },
    goToSubscribeStore() {
      common_vendor.index.navigateTo({ url: "/pages/subscribeStore" });
    },
    goToKnowXetong() {
      common_vendor.index.navigateTo({ url: "/pages/knowXetong/knowXetong" });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: $data.avatarUrl,
    b: common_vendor.t($data.phone),
    c: $data.calendarIcon,
    d: common_vendor.o((...args) => $options.goToCalendar && $options.goToCalendar(...args)),
    e: $data.downloadIcon,
    f: common_vendor.o((...args) => $options.goToDownload && $options.goToDownload(...args)),
    g: $data.wrongBookIcon,
    h: common_vendor.o((...args) => $options.goToWrongBook && $options.goToWrongBook(...args)),
    i: $data.superMemberIcon,
    j: common_vendor.o((...args) => $options.goToSuperMember && $options.goToSuperMember(...args)),
    k: $data.subscribeStoreIcon,
    l: common_vendor.o((...args) => $options.goToSubscribeStore && $options.goToSubscribeStore(...args)),
    m: $data.storeBackendIcon,
    n: $data.recycleBinIcon,
    o: $data.notificationIcon,
    p: $data.feedbackIcon,
    q: $data.customerServiceIcon,
    r: $data.knowXetongIcon,
    s: common_vendor.o((...args) => $options.goToKnowXetong && $options.goToKnowXetong(...args)),
    t: $data.settingsIcon
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
//# sourceMappingURL=../../../.sourcemap/mp-weixin/pages/mine/index.js.map
